{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>

  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">

  <title>Longday {% block title %}{% endblock %}</title>


  <link href="{% static '/references_manager/vendor/bootstrap/css/bootstrap.min.css' %}" rel="stylesheet">

  <link rel="stylesheet" href="{% static '/references_manager/font-awesome/css/font-awesome.min.css' %}">

  <link href="{% static '/references_manager/css/my.css' %}" rel="stylesheet">

</head>

<body>

  <!-- Navigation -->
  <nav class="navbar navbar-expand-lg navbar-dark bg-dark static-top">
    <div class="container col-12">
      <a class="navbar-brand" href="{% url 'index-page' %}">Longday</a>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarResponsive">
        <ul class="navbar-nav ml-auto">
          {% if user.is_authenticated %}
          <li class="nav-item">
            <form method="GET" action="{% url 'search-object' %}" class="form-inline md-form mr-auto mb-8">
              <input class="form-control mr-sm-6" name="q" value="{{ request.GET.q }}" placeholder="Search for product...">
              <button type="submit" class="btn btn-info"><span class="fa fa-search"></span> Search</button>
            </form>
          </li>
          <li class="nav-item">
          <a class="nav-link" href="{% url 'search-dim-form' %}"><i class="fa fa-search" aria-hidden="true"></i>
              Search by dimension</a>
          </li>
            {% if user.is_superuser %}
            <li class="nav-item">
              <a class="nav-link" href="{% url 'add-page' %}"><i class="fa fa-plus-square" aria-hidden="true"></i>
                  Add product</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="{% url 'add-company-page' %}"><i class="fa fa-plus-square" aria-hidden="true"></i>
                  Add manufacturer</a>
            </li>
          {% endif %}
          <li class="nav-item">
            <a class="nav-link" href="{% url 'company-list' %}"><i class="fa fa-list" aria-hidden="true"></i>
                List of manufacturers</a>
          </li>
          {% endif %}
          <li class="nav-item">
            {% if user.is_authenticated %}
              <a class="nav-link" href="{% url 'logout' %}"><i class="fa fa-sign-out" aria-hidden="true"></i>Log out</a>
            {% else %}
              <a class="nav-link" href="{% url 'login' %}"><i class="fa fa-sign-in" aria-hidden="true"></i>Log in</a>
            {% endif %}
          </li>
        </ul>
      </div>
    </div>
  </nav>

  <!-- Page Content -->
  <div class="container">
    <br>
    {% if messages %}
      {% for message in messages %}
        <div class="alert alert-{{ message.tags }}">
          {{ message }}
        </div>
      {% endfor %}
    {% endif %}
    <br>
  </div>

  {% block content %}{% endblock %}

  <!-- js -->
  <script src="{% static '/references_manager/vendor/jquery/jquery.slim.min.js' %}" ></script>
  <script src="{% static '/references_manager/vendor/bootstrap/js/bootstrap.bundle.min.js' %}"></script>
  <script>
    $('#upload-icon').click(function() {
    $(this).removeClass('fa fa-floppy-o');
    $(this).addClass('fas fa-spinner fa-pulse');
});
  </script>

</body>
</html>